Name: xpa
Version: 2.1.18
Release: %mkrel 1
Summary: The XPA messaging system

# Upstream version
%define upversion 2.1.18
%define major 1
%define libname %mklibname %{name} %{major}
%define libname_virt	lib%{name}
%define develname %mklibname %{name} -d

Group: System/Networking
License: LGPLv2+
URL: http://hea-www.harvard.edu/RD/xpa/
Source0: http://hea-www.harvard.edu/saord/download/xpa/%{name}-%{upversion}.tar.gz
Patch0: xpa-2.1.15-makefile.patch

Requires: %{libname_virt} = %{version}-%{release}

BuildRequires: tcl-devel 
BuildRequires: libxt-devel
BuildRequires: awk

%description
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
It also provides an easy way for users to communicate with these 
XPA-enabled programs by executing XPA client commands in the shell or by 
utilizing such commands in scripts. Because XPA works both at the programming 
level and the shell level, it is a powerful tool for unifying any 
analysis environment: users and programmers have great flexibility 
in choosing the best level or levels at which to access XPA services, 
and client access can be extended or modified easily at any time.
This package contains command-line utilities for managing XPA.

%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{libname_virt} = %{version}-%{release}
Requires: %{name}-tcl = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name} 
application.

%package -n %{libname}
Summary: The XPA messaging system runtime libraries
Group: Development/C
Provides: %{libname_virt} = %{version}-%{release}
%description -n %{libname}
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
This package contains the %{name} run-time library

%package tcl
Summary: The XPA messaging system TCL interface
Group: System/Networking
Requires: %{libname_virt} = %{version}-%{release}
%description tcl
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
This package contains the %{name} TCL interface

%prep
%setup -q -n %{name}-%{upversion}
%patch0 -p1
# Remove ps files in html docs
%{__rm} -rf %{_builddir}/%{name}-%{version}/doc/*.ps

%build
%configure2_5x --enable-shared --with-tcl=%{_libdir} \
	--with-x --enable-threaded-xpans \
	--libdir=%{tcl_sitearch}/tclxpa
%make 
%make tclxpa

%install
%{__make} INSTALL_ROOT=%{buildroot} install
%{__cp} -a pkgIndex.tcl %{buildroot}%{tcl_sitearch}/tclxpa
%{__mv} %{buildroot}%{tcl_sitearch}/tclxpa/pkgconfig  %{buildroot}%{_libdir}/
%{__mkdir_p} %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{tcl_sitearch}/tclxpa > %{buildroot}%{_sysconfdir}/ld.so.conf.d/tclxpa.conf

find %{buildroot}%{_libdir} -name *.a -delete

%files
%doc README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files -n %{libname}
%doc BUGS
%{_sysconfdir}/ld.so.conf.d/tclxpa.conf
%{tcl_sitearch}/tclxpa/libxpa.so.%{major}{,.*}

%files tcl
%{tcl_sitearch}/tclxpa/libtclxpa.so.%{major}{,.*}
%{tcl_sitearch}/tclxpa/*.tcl

%files -n %{develname}
%doc doc/*.html
%doc doc/*.pdf
%{tcl_sitearch}/tclxpa/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/mann/*




%changelog
* Thu Dec 15 2016 eatdirt <eatdirt> 2.1.18-1.mga6
+ Revision: 1075420
- Upgrade to latest version 2.1.18

* Thu Mar 31 2016 eatdirt <eatdirt> 2.1.17-3.mga6
+ Revision: 997161
- Fix install location to be in tcl path

* Wed Mar 30 2016 eatdirt <eatdirt> 2.1.17-2.mga6
+ Revision: 996882
- Add ld configuration file for library path

* Tue Mar 29 2016 eatdirt <eatdirt> 2.1.17-1.mga6
+ Revision: 996307
- Upgrade to version 2.1.17

* Tue Feb 02 2016 umeabot <umeabot> 2.1.15-6.mga6
+ Revision: 932449
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.15-5.mga5
+ Revision: 749232
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.15-4.mga5
+ Revision: 690745
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.1.15-3.mga4
+ Revision: 531361
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 joequant <joequant> 2.1.15-2.mga4
+ Revision: 463222
- fix typo on deps

* Sun Aug 04 2013 joequant <joequant> 2.1.15-1.mga4
+ Revision: 463085
- imported package xpa

